Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface SchedulerListener

All Known Implementing Classes:
  BroadcastSchedulerListener, JobRunShell, JTAJobRunShell, QuartzSchedulerMBeanImpl, QuartzServer, SampledStatisticsImpl, SchedulerListenerSupport

    public interface SchedulerListener

The interface to be implemented by classes that want to be informed of major ``Scheduler`` events.

Author:
  James House
See Also:
  `Scheduler`, `JobListener`, `TriggerListener`

Method Summary
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobPaused(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been paused.
`void` | `jobResumed(JobKey jobKey)` Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobGroup)` Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.
`void` | `jobUnscheduled(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `schedulerStarting()` Called by the ``Scheduler`` to inform the listener that it is starting.
`void` | `schedulingDataCleared()` Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggerPaused(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been paused.
`void` | `triggerResumed(TriggerKey triggerKey)` Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.
`void` | `triggersPaused(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerGroup)` Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.

Method Detail

### jobScheduled

    void jobScheduled(Trigger trigger)

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

### jobUnscheduled

    void jobUnscheduled(TriggerKey triggerKey)

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

  See Also:
    `schedulingDataCleared()`

### triggerFinalized

    void triggerFinalized(Trigger trigger)

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

### triggerPaused

    void triggerPaused(TriggerKey triggerKey)

  Called by the ``Scheduler`` when a ``Trigger`` has been paused.

### triggersPaused

    void triggersPaused(String triggerGroup)

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been paused.

  If all groups were paused then triggerGroup will be null

  Parameters:
    `triggerGroup` - the paused group, or null if all were paused

### triggerResumed

    void triggerResumed(TriggerKey triggerKey)

  Called by the ``Scheduler`` when a ``Trigger`` has been un-paused.

### triggersResumed

    void triggersResumed(String triggerGroup)

  Called by the ``Scheduler`` when a group of ``Trigger`s` has been un-paused.

### jobAdded

    void jobAdded(JobDetail jobDetail)

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

### jobDeleted

    void jobDeleted(JobKey jobKey)

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

### jobPaused

    void jobPaused(JobKey jobKey)

  Called by the ``Scheduler`` when a ``JobDetail`` has been paused.

### jobsPaused

    void jobsPaused(String jobGroup)

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been paused.

  Parameters:
    `jobGroup` - the paused group, or null if all were paused

### jobResumed

    void jobResumed(JobKey jobKey)

  Called by the ``Scheduler`` when a ``JobDetail`` has been un-paused.

### jobsResumed

    void jobsResumed(String jobGroup)

  Called by the ``Scheduler`` when a group of ``JobDetail`s` has been un-paused.

### schedulerError

    void schedulerError(String msg,
                        SchedulerException cause)

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

### schedulerInStandbyMode

    void schedulerInStandbyMode()

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

### schedulerStarted

    void schedulerStarted()

  Called by the ``Scheduler`` to inform the listener that it has started.

### schedulerStarting

    void schedulerStarting()

  Called by the ``Scheduler`` to inform the listener that it is starting.

### schedulerShutdown

    void schedulerShutdown()

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

### schedulerShuttingdown

    void schedulerShuttingdown()

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown sequence.

### schedulingDataCleared

    void schedulingDataCleared()

  Called by the ``Scheduler`` to inform the listener that all jobs, triggers and calendars were deleted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.